[求助]eaf安装问题

使用的是mac系统,doom emacs。打开eaf-open-browser提示如下:

但是我根据提示,安装了mac-app-frontmost,安装命令: pip install mac-app-frontmost 还是打不开eaf

看下 eaf buffer的内容

是这些吗

buffer 哥们, M-x list-buffers 找到 eaf,而且 mac 不是 =pip3= 吗

是这个吗

我刚用pip3 install mac-app-frontmost 安装了也是不行

我装这个挺久了,我记得装了是直接能用的,你自己查查,或者遇事不决就重启

open it!

此帖子已被社区举报,现已被临时隐藏。

你看下你本地的 ~/xxxx/emacs-application-framework/app 这个文件夹里面有没有给你安装上 eaf-browser 这个文件夹? 有可能你第一次装包装失败以后,后续的依赖包都没给你装上,所以 app 对应的那些文件夹都没给你下载下来。可能你现在只是装上了第一个包,后续的依赖包你还需要继续安装。

eaf 因为 mac 系统的限制,没办法全屏使用 emacs,只能窗口最大化来使用,用起来其实是有点小别扭的。

有browser文件夹,里面也要内容

这个是我的eaf的配置相关的内容

我是把eaf装在了一个虚拟环境。然后在emacs里加载eaf之前,先在命令行里面激活这个环境然后按照懒猫的github的instruction,把该装的都装了。然后就能正常使用了。